#ifndef FACEFILTER_H
#define FACEFILTER_H

#include <opencv2/opencv.hpp>
#include <iostream>

using namespace cv;
using namespace std;


class FaceFilter{
public:
    //Constructor and Destructor (No need to change)
    explicit FaceFilter();
    ~FaceFilter();

    //Declare public functions
    bool loadfiles();
    Mat Filter(Mat frame);

private:

    //TO DO: initialize strings to store file paths for xml files and decoration

    //Initialize Mat object to store decoration and camera frame
    Mat decoration;
    Mat frame;

    //Initialize the classifier object
    CascadeClassifier face_classifier;

    //Declare private functions
    bool loadCascade ();
    Mat maskImg(Mat srcImage);

};

#endif // FACEFILTER_H
