##-------------------------------------------------
##
## Project created by QtCreator 2019-05-18T11:28:20
##
##-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = OpenCv_Camera
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11      #Compile with C++ 11

INCLUDEPATH +=      #Insert your include path here (e.g. /usr/local/Cellar/opencv/3.4.3_2/include)
LIBS +=                       #Insert your library path here, with linker flag right after it (e.g. -L/usr/local/Cellar/opencv/3.4.3_2/lib -lopencv_core)

#Stuffs below will be filled automatically

SOURCES += \
    main.cpp \
    mainwindow.cpp \
    facefilter.cpp

HEADERS += \
    mainwindow.h \
    facefilter.h

FORMS += \
    mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    haarcascade_eye.xml \
    haarcascade_frontalface_default.xml \
    dog_ear.jpg \
    sunglass.jpg
